# directory::exists

Determines whether the given path refers to an existing directory on disk.

### Usage

`bool directory::exists(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The path to test.

### Return Value

true if path refers to an existing directory; otherwise, false.

### Examples

- Remove directory "test", if it exists.

                  <delete dir="test" if="${directory::exists('test')}" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)